net.sf.jasperreports.components.table.fill

## Class TableReport.ReverseReportBandCreator

- java.lang.Object
- - net.sf.jasperreports.components.table.fill.TableReport.ReportBandCreator
  - - net.sf.jasperreports.components.table.fill.TableReport.ReverseReportBandCreator

- All Implemented Interfaces:
    ColumnVisitor<java.lang.Void>
  Direct Known Subclasses:
    TableReport.GroupFooterCreator, TableReport.PageFooterCreator, TableReport.SummaryCreator
  Enclosing class:
    TableReport

      protected abstract class TableReport.ReverseReportBandCreator
      extends TableReport.ReportBandCreator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableReport.ReverseReportBandCreator(TableReport.ReportBandInfo bandInfo, FillColumn fillColumn, int xOffset, int yOffset, int level)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Void` | `visitColumnGroup(ColumnGroup columnGroup)`

    - ### Methods inherited from class net.sf.jasperreports.components.table.fill.TableReport.ReportBandCreator

      `columnCell, columnGroupCell, createColumnCell, createColumnCell, createSubVisitor, isEmpty, visit, visitColumn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableReport.ReverseReportBandCreator

          public TableReport.ReverseReportBandCreator(TableReport.ReportBandInfo bandInfo,
                                              FillColumn fillColumn,
                                              int xOffset,
                                              int yOffset,
                                              int level)

  - ### Method Detail

    - #### visitColumnGroup

          public java.lang.Void visitColumnGroup(ColumnGroup columnGroup)

      Specified by:
        `visitColumnGroup` in interface `ColumnVisitor<java.lang.Void>`
      Overrides:
        `visitColumnGroup` in class `TableReport.ReportBandCreator`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com